function [] = buttonCalculateOffsets(~, ~)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaDataInput;

%% Initialize required variables
soundsources = artoa.controller.getSoundsourcesWithAppliedToa();
satData = artoaWorkspace.satData;

%% Calculate offsets

[
    artoaWorkspace.editOffsets.calculatedMatrixA, ...
    artoaWorkspace.editOffsets.calculatedMatrixB, ...
    artoaWorkspace.editOffsets.calculatedMatrixX ...
] = artoa.offsets.solve( ...
    artoaDataInput.rfb, ...
    soundsources, ...
    satData, ...
    artoaWorkspace.temperature(artoaWorkspace.statusTemperature == 1), ...
    artoaWorkspace.pressure(artoaWorkspace.statusPressure == 1), ...
    artoaWorkspace.trackParameter.soundspeedMethodString, ...
    artoa.data.getMember(artoaDataInput, {'ini', 'leapseconds'}) ...
);

%% Store offsets in table
[offsets, drifts] = artoa.offsets.extractOffsetsDriftsFromSolved(artoaWorkspace.editOffsets.calculatedMatrixX);

artoaWorkspace.editOffsets.soundsourceOffsets.OptimumTotalOffset = offsets;
artoaWorkspace.editOffsets.soundsourceOffsets.OptimumTotalDrift = drifts;


%% Update TOA

% combine initial toa and current applied soundsources
toaData = artoaWorkspace.toaData;
toaData.toa = artoaDataInput.toaData.toa;

%% Recalculate drift
artoa.controller.edit.offsets.updateWorkspaceOffsetsTable();
artoa.controller.edit.offsets.updateGui();

%% Select offset and drift from the table
artoa.controller.edit.offsets.selectOffsetsAndDrift();

artoaWorkspace.toaData = artoa.toa.recalculate( ...
    artoaWorkspace.float, ...
    toaData, ...
    artoa.controller.getSoundsourcesWithAppliedToa(), ...
    artoaWorkspace.editOffsets.selectedOffsets ...
);

artoa.controller.edit.timeOfArrival.plot();

end

