function [] = loadInterim()
%LOADINTERIM Loads the current state of ARTOA4 from the file specified by dialog.
%   

global artoaDataInput;

%% Get required variables
folder = artoa.data.getMember(artoaDataInput, {'ini', 'directory', 'interim'}, pwd());
filter = artoa.data.getMember(artoaDataInput, {'ini', 'filemask', 'interim'}, '*.itm');


%% Ask for filename
[filename, pathname] = uigetfile(fullfile(folder, filter));

if (filename == 0)
    return;
end

%% Close all windows
artoa.controller.edit.pressure.close();
artoa.controller.edit.temperature.close();
artoa.controller.edit.timeOfArrival.close();
artoa.controller.edit.offsets.close();
artoa.controller.track.parameter.close();
artoa.controller.track.trajectoryOutput.close();

%% Load mat file
load(fullfile(pathname, filename), '-mat');

%% Update menu buttons
artoa.controller.updateMenuButtons();

end

